Skip to main content
v1

Press a desktop keyboard shortcut.

POST /v1/desktop/keyboard/press: request parameters and responses.

POST /v1/desktop/keyboard/press

Performs a health-gated xdotool key operation against the managed desktop.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopKeyboardPressRequest"
  }
}

Related schemas: DesktopKeyboardPressRequest.

Responses

200

Desktop keyboard action result

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopActionResponse"
  }
}

Related schemas: DesktopActionResponse.

400

Invalid keyboard press request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.